Bug 289231 - Review Request: kdelibs4 - K Desktop Environment 4 - Libraries
Review Request: kdelibs4 - K Desktop Environment 4 - Libraries
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 248898 289251
  Show dependency treegraph
 
Reported: 2007-09-13 09:13 EDT by Kevin Kofler
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-21 16:31:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2007-09-13 09:13:40 EDT
Spec URL: http://repo.calcforge.org/f8/kdelibs4.spec
SRPM URL: http://repo.calcforge.org/f8/kdelibs4-3.93.0-7.fc7.src.rpm
Description:
These are the KDE 4 (beta 2) libraries, packaged in a way as to not conflict with KDE 3. They can be used to develop, compile and/or run KDE 4 applications in a KDE 3 (or GNOME, XFCE etc.) environment.
Comment 1 Kevin Kofler 2007-09-13 09:17:05 EDT
Note: This requires the latest kde-filesystem from the 
kde-filesystem-kde4-branch which contains the necessary directories and macros 
for KDE 4.
Comment 2 Kevin Kofler 2007-09-13 19:53:33 EDT
Updated to fix a file conflict with the js package (/usr/bin/js, see 
http://bugs.kde.org/show_bug.cgi?id=149840 ):
Spec URL: http://repo.calcforge.org/f8/kdelibs4.spec
SRPM URL: http://repo.calcforge.org/f8/kdelibs4-3.93.0-8.fc7.src.rpm
Comment 3 Kevin Kofler 2007-09-17 00:19:09 EDT
To make this easier to review, here's the SRPM for the required version of 
kde-filesystem:
http://repo.calcforge.org/f8/kde-filesystem-3.92-9.fc7.src.rpm
Comment 4 Kevin Kofler 2007-09-18 10:50:22 EDT
The required version of kde-filesystem is now in Rawhide.
Comment 5 Rex Dieter 2007-09-20 11:07:12 EDT
Considering that this package has already underwent significant peer-review
within the KDE SIG (for which both Kevin and I took part), this serves as a
disclaimer that this review will likely be fairly brief, pending my confirmation of 
* building successfully in mock
* basic runtime sanity (ie, does it work and not blow up)
Comment 7 Kevin Kofler 2007-09-20 15:54:59 EDT
New Package CVS Request
=======================
Package Name: kdelibs4
Short Description: K Desktop Environment 4 - Libraries
Owners: kkofler,than,rdieter
Branches: F-7
InitialCC:
Cvsextras Commits: no
Comment 8 Kevin Fenzi 2007-09-20 22:29:42 EDT
cvs done.
Comment 9 Kevin Kofler 2007-09-21 16:31:36 EDT
Built for Rawhide and F7, push to F7 updates-testing requested.

Note You need to log in before you can comment on or make changes to this bug.